# typed: strict
class AddSpecificIndexesToE621JsonAttrs < ActiveRecord::Migration[7.2]
  extend T::Sig

  sig { void }
  def change
    remove_index :domain_e621_posts, :json_attributes, using: :gin
    add_index :domain_e621_posts,
              "(json_attributes->'scanned_post_favs_at')",
              name: "index_e621_posts_on_scanned_post_favs_at"
  end
end
